Subject: RE: Question on ERO

From: "Feng, Mark" <[email-masked]>
Date: Thu, 13 Sep 2001 11:02:28 -0700

I don't believe the ERO has to include the end node. It can contain the
portion of the path, up to a certain point. The last part of the path, which
is not specified by the ERO can be determined by the normal means. I think
this covers question 1 and 3.

Section 4.3.4.2 describes mainly the procedure for processing "abstract"
nodes, which contains either AS ID, or subnet addresses. When such objects
are processed, you might need to either add/replace one or more ERO
sub-objects, based on the routing topology.

As to when the ERO object is removed from the Path message, why new ERO
object MAY be added, I think that's implementation dependent. I honestly
don't know why or how a intermediate node would create the new ERO object.

Hope it helps.

- Mark

> -----Original Message-----
> From: Krish K P [mailto:[email-masked]]
> Sent: Thursday, September 13, 2001 6:03 AM
> To: [email-masked]
> Subject: Question on ERO
> 
> 
> RSVP-LSP draft says on ERO.,
> 
> 2) If there is no second subobject, this indicates the
> end of the
>    explicit route.  The EXPLICIT_ROUTE object SHOULD
> be removed from the
>    Path message.  This node may or may not be the end
> of the path.
>    Processing continues with section 4.3.4.2, where a
> new EXPLICIT_ROUTE
>    object MAY be added to the Path message.
> 
> q1.Certain implementations omit the tunnel end node
> address in the ERO., if that is the case what should
> be the action of the penultimate node ??
> 
> q2.Also can someone explain me in simple terms on how
> the processing continues with section 4.3.4.2 ??
> 
> q3. Certain implementations at the penultimate node
> send path-err (routing problem) when the end node is
> omitted in the ERO of the PATH message...is it legal
> ??
> 
> with regards
> Krish
> 
> __________________________________________________
> Terrorist Attacks on U.S. - How can you help?
> Donate cash, emergency relief information
> http://dailynews.yahoo.com/fc/US/Emergency_Information/
>